Bug 25941 - Reindent Upload local cover image page
Summary: Reindent Upload local cover image page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks: 25025
  Show dependency treegraph
 
Reported: 2020-07-06 20:29 UTC by Owen Leonard
Modified: 2020-11-16 21:13 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25941: Reindent Upload local cover image page (14.00 KB, patch)
2020-07-06 20:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25941: (follow-up) Add markup comments (2.49 KB, patch)
2020-07-06 20:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25941: Reindent Upload local cover image page (14.05 KB, patch)
2020-09-18 03:06 UTC, David Nind
Details | Diff | Splinter Review
Bug 25941: (follow-up) Add markup comments (2.54 KB, patch)
2020-09-18 03:06 UTC, David Nind
Details | Diff | Splinter Review
Bug 25941: (follow-up) Add markup comments (2.54 KB, patch)
2020-09-21 10:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25941: Reindent Upload local cover image page (14.31 KB, patch)
2020-10-19 18:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25941: (follow-up) Add markup comments (2.27 KB, patch)
2020-10-19 18:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25941: Reindent Upload local cover image page (14.36 KB, patch)
2020-10-24 04:08 UTC, David Nind
Details | Diff | Splinter Review
Bug 25941: (follow-up) Add markup comments (2.31 KB, patch)
2020-10-24 04:08 UTC, David Nind
Details | Diff | Splinter Review
Bug 25941: Reindent Upload local cover image page (14.42 KB, patch)
2020-10-25 00:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25941: (follow-up) Add markup comments (2.37 KB, patch)
2020-10-25 00:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-07-06 20:29:23 UTC
I propose to reformat the "Upload local cover image" template (tools/upload-images.tt) so that it has consistent spacing and indentation.
Comment 1 Owen Leonard 2020-07-06 20:43:25 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-07-06 20:43:28 UTC Comment hidden (obsolete)
Comment 3 David Nind 2020-09-18 03:06:52 UTC Comment hidden (obsolete)
Comment 4 David Nind 2020-09-18 03:06:56 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2020-09-20 17:27:04 UTC
Hi Owen, I am bit confused by the conflict - could you please take care of it and rebase?
Comment 6 Owen Leonard 2020-09-21 10:35:48 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2020-09-21 19:46:19 UTC
Hi Owen, missing the first patch - git bz attach fail?
Comment 8 Owen Leonard 2020-10-19 18:25:32 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2020-10-19 18:25:37 UTC Comment hidden (obsolete)
Comment 10 David Nind 2020-10-24 04:08:43 UTC Comment hidden (obsolete)
Comment 11 David Nind 2020-10-24 04:08:48 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2020-10-25 00:07:08 UTC
Created attachment 112429 [details] [review]
Bug 25941: Reindent Upload local cover image page

This patch reindents the "Upload local cover image" template to make
indentation consistent. Some lines have been split up. Some markup
inconsistencies have been corrected.

To test, apply the patch and enable the LocalCoverImages system
preference.

- Go to Tools -> Upload local cover image.
- Test uploading single images or ZIP files of images.
- Confirm that everything works as expected.

Use your preferred method for checking the differences between files
while ignoring whitespace. I use diff with the  "-w" flag, but I'm not
some kind of diff deity. The only changes you see should be split lines.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2020-10-25 00:07:13 UTC
Created attachment 112430 [details] [review]
Bug 25941: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Jonathan Druart 2020-11-04 12:03:28 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 15 Lucas Gass 2020-11-16 21:13:44 UTC
enhancement will not be backported to 20.05.x